-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/48379/#review136560
-----------------------------------------------------------


Ship it!




Ship It!

- Sriharsha Chintalapani


On June 7, 2016, 10:55 p.m., Alejandro Fernandez wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/48379/
> -----------------------------------------------------------
> 
> (Updated June 7, 2016, 10:55 p.m.)
> 
> 
> Review request for Ambari and Sriharsha Chintalapani.
> 
> 
> Bugs: AMBARI-17100
>     https://issues.apache.org/jira/browse/AMBARI-17100
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> STR:
> * Install Ambari 2.4
> * Install HDP 2.4
> * Kerberize the cluster
> * Perform EU to HDP 2.5
> 
> The config packs have
> <replace key="ui.filter" 
> find="backtype.storm.security.auth.KerberosPrincipalToLocal"
>                      
> replace-with="org.apache.storm.security.auth.KerberosPrincipalToLocal" />
> 
> However, storm.yaml still has storm.principal.tolocal : 
> 'backtype.storm.security.auth.KerberosPrincipalToLocal'
> 
> I replaced that property as well and it started working.
> Storm 1.0.1 already has its kerberos.json file using 
> "storm.principal.tolocal": 
> "org.apache.storm.security.auth.KerberosPrincipalToLocal", and stack HDP 2.5 
> uses that version of Storm, so EU/RU should set the property if it exists, 
> meaning the cluster is kerberized.
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/config-upgrade.xml 
> 9df0663 
>   ambari-server/src/main/resources/stacks/HDP/2.4/upgrades/config-upgrade.xml 
> f559031 
> 
> Diff: https://reviews.apache.org/r/48379/diff/
> 
> 
> Testing
> -------
> 
> Verified during EU from HDP 2.4 to 2.5 on a Kerberized cluster with Storm.
> 
> 
> Thanks,
> 
> Alejandro Fernandez
> 
>

Reply via email to